#!/bin/bash

. /usr/share/eole/FonctionsEoleNg

# mot de passe ldap
PASSWD=`/usr/bin/pwgen -1`
/usr/share/eole/ldap_pwd.py $PASSWD >/dev/null

if [ ! -e /var/lib/ldap/cn.bdb ]
then
	/etc/init.d/slapd stop >/dev/null 2>&1
	rm -f /var/lib/ldap/*.*
	/etc/init.d/slapd start >/dev/null
	sleep 2

	# création de l'arborescence minimale
	ldapadd -x  -D cn=admin,o=gouv,c=fr -w $PASSWD -f /etc/sysconfig/eole/DIT.ldif >/dev/null
	# mot de passe de réplication
	echo
	EchoVert "Création du compte de réplication"
	echo "Ce compte sera utilisé pour la réplication des annuaires distants"
	echo
	stty -echo
        read -p "Mot de passe du compte de réplication : " replicator_pwd
	echo
        read -p "Confirmation du mot de passe          : " replicator_pwd2
	echo
        while [ "$replicator_pwd" != "$replicator_pwd2" ]
        do
        	echo
		EchoRouge "Erreur de confirmation"
        	read -p "Mot de passe du compte de réplication : " replicator_pwd
		echo
        	read -p "Confirmation du mot de passe          : " replicator_pwd2
		echo
        done
	stty echo
	# FIXME (hum)
	echo $replicator_pwd > /root/.replicator
	replicator_crypt=`/usr/share/eole/gen_SSHA.pl -p $replicator_pwd`

	# ldif pour le compte replicator
	cat > /tmp/replicator.ldif <<EOF
dn: cn=replicator,o=gouv,c=fr
objectClass: person
sn: Compte de replication
cn: replicator
userPassword: $replicator_crypt
EOF
	ldapadd -x  -D cn=admin,o=gouv,c=fr -w $PASSWD -f /tmp/replicator.ldif >/dev/null
	rm -f /tmp/replicator.ldif
fi
echo

exit 0
